Subject: Re: [PATCH v3 5/8] net: dsa: hellcreek: Add TAPRIO offloading support

From: Kurt Kanzenbach <[email-masked]>
Date: Fri, 28 Aug 2020 14:31:41 +0200

Hi Richard,

On Thu Aug 27 2020, Richard Cochran wrote:
> On Tue, Aug 25, 2020 at 11:55:37AM +0200, Kurt Kanzenbach wrote:
>> 
>> I get your point. But how to do it? We would need a timer based on the
>> PTP clock in the switch.
>
> Can't you use an hrtimer based on CLOCK_MONOTONIC?

When the switch and the Linux machine aren't synchronized, we would
calculate the difference between both systems and could arm the Linux
timer based on CLOCK_MONOTONIC. Given the fact that we eight seconds, it
would *probably* work when the ptp offset adjustments are in that range.

>
> I would expect the driver to work based solely on the device's clock.

Understood.

Thanks,
Kurt